> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/pt/recursos-para-desenvolvedores/api-docs/retrieve-current-user-account-details.md).

# Recuperar detalhes da conta do usuário atual

Este endpoint permite que você recupere os detalhes da conta do usuário autenticado atualmente.

## Endpoint

```
GET /api/v1/account/
```

## Autenticação

Este endpoint requer autenticação usando um token JWT.

## Solicitação

Nenhum parâmetro de solicitação é necessário.

## Resposta

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "Nome do Usuário"
}
```

## Perfil do Usuário (Informações Estendidas)

Para informações de perfil de usuário mais detalhadas, você pode usar:

```
GET /api/v1/me/
```

### Resposta Estendida

```json
{
  "id": "nome_de_usuario",
  "email": "usuario@exemplo.com",
  "name": "Nome do Usuário",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "Empresa",
  "website": "https://exemplo.com",
  "bio": "Biografia do Usuário",
  "team": [
    {
      "id": "id_da_equipe", 
      "name": "Nome da Equipe", 
      "image_url": "url", 
      "role": "admin"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## Respostas de Erro

| Código de Status | Descrição                                                          |
| ---------------- | ------------------------------------------------------------------ |
| 401              | Não Autorizado - Credenciais de autenticação inválidas ou ausentes |
| 403              | Proibido - O usuário não tem permissão para acessar este recurso   |
| 500              | Erro Interno do Servidor - Algo deu errado no servidor             |

## Exemplo de Uso

### Usando cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### Usando JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### Usando Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/pt/recursos-para-desenvolvedores/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
